This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 490537 - Kickstart, running a kickstart from webqa on rhel5U3 gives a koan error
Kickstart, running a kickstart from webqa on rhel5U3 gives a koan error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Partha Aji
wes hayutin
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-03-16 17:12 EDT by wes hayutin
Modified: 2009-09-10 15:24 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:24:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-03-16 17:12:56 EDT
Description of problem:
Kickstart, running a kickstart from webqa on rhel5U3 gives a koan error

Version-Release number of selected component (if applicable):
rhn-kickstart-2.0.10-10.el5
rhn-kickstart-common-2.0.10-10.el5

How reproducible:
everytime

Steps to Reproduce:
1. register rhel5_u3 a system to hosted
2. run a rhel5_u3 kickstart
3.
  
Actual results:
ty/R0H89xBE ksdevice=eth0 </string></value>\n</param>\n<param>\n<value><string></string></value>\n</param>\n<param>\n<value><array><data>\n</data></array></value>\n</param>\n</params>\n</methodCall>\n", 'version': 2, 'id': 169205757}
D: handle_action actionid = 169205757, version = 2
D: do_call kickstart.initiate ('rhn-kickstart', 'ks=http://rhn.webqa.redhat.com/ty/R0H89xBE ksdevice=eth0 ', '', [])
initiating spacewalkkoan kickstart
Preserve files! : []
Could not communicate with rhn-kickstart:443
D: Sending back response (1, 'Kickstart failed. Koan error.', {'from_koan': 'Could not communicate with rhn-kickstart:443'})
D: do_call packages.checkNeedUpdate ('rhnsd=1',)
D: Called refresh_rpmlist
Updating package profile
D: local action status:  (0, 'rpmlist refreshed', {})
D: closed   db index       /var/lib/rpm/Providename
D: closed   db index       /var/lib/rpm/Packages
D: closed   db environment /var/lib/rpm/Packages
D: May free Score board((nil))
[root@rlx-2-04 ~]# rpm -qa | grep kick


Expected results:
kickstart works

Additional info:
Comment 1 wes hayutin 2009-03-16 17:21:53 EDT
spacewalk-koan-0.1.8-1.el5sat is probably the culprit
Comment 2 wes hayutin 2009-04-08 16:08:37 EDT
verified
Comment 3 Shannon Hughes 2009-07-29 13:33:32 EDT
verified on stage.
Comment 4 Brandon Perkins 2009-09-10 15:24:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.